Get an participant

Get a single participant using GET

Request

GET https://api.frontcore.com/v2/participants/:id

For every API request you make, you'll need to present the API access key in the HTTP Header as X-API-Key to be authenticated.

Parameters

Name Required Value Description
include[] optional string Request additional information by specifying the 'include' parameter as a path using dot notation.
You can include multiple objects at once by specifying multiple items in the include array.

Supported items for this endpoint:
`attendance`

Example code in PHP

$request_url = 'https://api.frontcore.com/v2/participants/:id';
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $request_url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true); 

curl_setopt($ch, CURLOPT_HTTPHEADER, array(
  'X-API-Key: {your-api-key}',
  'Accept: application/json',
));
$result = curl_exec($ch);
curl_close($ch);
               

Response

If the method is successful it responds with an JSON structure, as it is shown below.

{
    "archived_at": "2025-11-20",
    "booker_admin_user": null,
    "booker_email": null,
    "booker_language_id": null,
    "booker_name": null,
    "booker_phone": null,
    "certificate_issued_at": "2025-11-20",
    "completed": false,
    "course": {
        "id": 44724,
        "title": "Et fint testkurs",
        "reference": null,
        "created_at": null,
        "updated_at": "2025-11-11T10:29:12+01:00"
    },
    "coursedate": {
        "id": 12654406,
        "idCourse": 44724,
        "idStatus": 1,
        "week": 52,
        "start_at": "2017-12-28",
        "end_at": "2017-12-31",
        "deadline_at": "2017-12-28",
        "time_start": "06:15",
        "time_end": "07:15",
        "timezone": null,
        "gmt_offset": null,
        "place": "Ullensaker",
        "is_virtual": false,
        "event_url": null,
        "internal_note": null,
        "idLocation": "2996",
        "teaching_language": "Norwegian",
        "idTeachingLanguage": "no",
        "location_cancellation_days": null,
        "is_deleted": false,
        "location": {
            "id": 2996,
            "title": "Nedre langgate 20",
            "custom_title": null,
            "address": null,
            "address2": null,
            "address3": null,
            "zipcode": null,
            "city": null,
            "state": null,
            "county": null,
            "idCountry": 159,
            "country": "Norway",
            "country_code": "NO",
            "idPlace": 679,
            "lat": 0,
            "lng": 0,
            "timezone": null,
            "long_text": null,
            "short_text": null,
            "short_text_2": null,
            "idInstructor": null,
            "is_default": false,
            "is_archived": false,
            "is_virtual": false
        }
    },
    "created_at": "2017-12-22T14:54:59+01:00",
    "custom_properties": {
        "custom_property": null,
    },
    "entry_source": "User",
    "id": 163930,
    "idBooking": 197884,
    "idOrder": 41280,
    "idPaid": 1,
    "no_show": false,
    "paid": {
        "id": 1,
        "title": "Yes"
    },
    "passed": false,
    "status": {
        "id": 2,
        "title": "Overbooked",
        "status_code": "status_overbooked"
    },
    "status_updated_at": "2020-02-19T11:02:27+01:00",
    "updated_at": "2025-11-18T15:03:55+01:00",
    "user": {
        "id": 182955,
        "firstname": "Willy",
        "lastname": "Willoch",
        "email": "example@example.com",
        "username": "my_username",
        "phone": "123456789",
        "company": "Acme inc",
        "orgnr": null,
        "position": null,
        "department": null,
        "legaldepartment": null,
        "date_of_birth": null,
        "invoice_address": {
            "address": null,
            "address_2": null,
            "address_3": null,
            "zipcode": null,
            "city": null,
            "invoice_phone": null
        },
        "home_address": {
            "address": "est",
            "address_2": null,
            "address_3": null,
            "zipcode": "test",
            "city": "test"
        },
        "work_address": {
            "address": "Test",
            "address_2": null,
            "address_3": null,
            "zipcode": "Torød",
            "city": "3135"
        },
        "external_id": null,
        "company_employee_number": null,
        "custom_properties": {
            "hubspot_id": "101",
            "kundebooker": null,
            "mitt_nye_felt": null,
            "userfield": null
        },
        "created_at": "2017-12-22T14:54:59+01:00",
        "updated_at": "2025-11-20T06:38:29+01:00",
        "information_gathered_at": null
    },
    "user_comment": null
}

Unsuccessful response sample:

{
    "error": "Wrong API Key"
}      
© 2026 FrontCore